/**
 * 
 */
function initialise(){
    initialiseToggleButton();
    showAppTitle();
    initialiseEvents();
    showPrompt();
	itemStateChanged();	
}

function initialiseToggleButton(){
    var toggleBtn="<input id='logicalSwitch' class='tgl tglFlip' type='checkbox'/>";
    toggleBtn+="<label class='tglBtn' data-tgOff='Ψευδής' data-tgOn='Αληθής' for='logicalSwitch'></label>";

    $("#myLi").html(toggleBtn);
}

function initialiseEvents(){
    // touch events
    $("#showInfo").on("touchend",function(evt){
        $("#showInfo").trigger("click");
    });

    $("#btnCheckAnswer").on("click tap touchstart",function(evt){
        evt.stopImmediatePropagation();
        checkAnswer();
        //selectNew();
    });
    
    $("#btnNewStatement").on("click tap touchstart",function(evt){
        //evt.preventDefault();
        evt.stopImmediatePropagation();
        selectNew();
    });

    $("#showCaptions").bind("change keyup touchend",function(event,ui){
    	if($("#showCaptions:checked").val()=="show"){
    		buttonCaptionsVisible=true;
    	}
    	else{
    		buttonCaptionsVisible=false;
    	}
    	showButtonCaptions();
    });

    $("#randomSelection").bind("change keyup touchend",function(event,ui){
    	if($("#randomSelection:checked").val()=="rndSelection"){
    		selectRandomly=true;
    	}
    	else{
    		selectRandomly=false;
    	}
    });

    $("#btnShowSolution").on("click tap touchstart",function(evt){
        evt.stopImmediatePropagation();
        showSolution();
    });
}

function selectNew(){
	if(selectRandomly){
		selectedID=parseInt(Math.random()*(lastCandidate-firstCandidate))+firstCandidate;
	}
	else{
		selectedID++;
		if(selectedID>lastCandidate) selectedID=firstCandidate;
	}
	$("#picOK").hide();
	$("#picError").hide();
    $("#statementToCharacterise").html(question[selectedID]);
}

function showPrompt(){
    var msg="Η ακόλουθη πρόταση είναι ΑΛΗΘΗΣ ή ΨΕΥΔΗΣ;";
    $("#prompt").html(msg);
}

function showSolution(){
	$("#picOK").hide();
	$("#picError").hide();
	var newValue=result[selectedID]=="Σ";
	if($("#logicalSwitch").prop("checked")==newValue){
		$("#logicalSwitch").prop("checked",!newValue);
	}
	$("#logicalSwitch").prop("checked",newValue);
}

function showButtonCaptions(){
	if(buttonCaptionsVisible){
        $("#btnNewStatement").html("Νέα πρόταση");
        $("#btnCheckAnswer").html("Υποβολή");
        $("#btnShowSolution").html("Λύση");
        $(".btnMenu").css({"width":"175px"});
        $(".buttonData").width(160);
 	}
	else{
        $("#btnNewStatement").html("");
        $("#btnCheckAnswer").html("");
        $("#btnShowSolution").html("");
        $(".btnMenu").css({"width":"30px"});
        $(".buttonData").width(40);
    }
}

function itemStateChanged(){
	var selectedUnit=$("#unitSelection").prop("selectedIndex");
	firstCandidate=limits[selectedUnit][0];
	lastCandidate=limits[selectedUnit][1];
	selectedID=parseInt(Math.random()*(lastCandidate-firstCandidate))+firstCandidate;
	selectNew();
}

function checkAnswer(){
	if($("#logicalSwitch").prop("checked")==(result[selectedID]=="Σ")){
		$("#picOK").show();
		$("#picError").hide();
	}
	else{
		$("#picOK").hide();
		$("#picError").show();
	}
}